## selinux-gui 3.9

=== po/Makefile ===
#
# Makefile for the PO files (translation) catalog
#

PREFIX ?= /usr

# What is this package?
NLSPACKAGE	= gui
POTFILE		= $(NLSPACKAGE).pot
INSTALL		= /usr/bin/install -c -p
INSTALL_DATA	= $(INSTALL) -m 644
INSTALL_DIR	= /usr/bin/install -d

# destination directory
INSTALL_NLS_DIR = $(PREFIX)/share/locale

# PO catalog handling
MSGMERGE	= msgmerge
MSGMERGE_FLAGS	= -q
XGETTEXT	= xgettext --default-domain=$(NLSPACKAGE)
MSGFMT		= msgfmt

# All possible linguas
PO_LINGUAS := $(sort $(patsubst %.po,%,$(wildcard *.po)))

# Only the files matching what the user has set in LINGUAS
USER_LINGUAS := $(filter $(patsubst %,%%,$(LINGUAS)),$(PO_LINGUAS))

# if no valid LINGUAS, build all languages
USE_LINGUAS := $(if $(USER_LINGUAS),$(USER_LINGUAS),$(PO_LINGUAS))

POFILES		= $(patsubst %,%.po,$(USE_LINGUAS))
MOFILES		= $(patsubst %.po,%.mo,$(POFILES))
POTFILES  = $(shell cat POTFILES)

#default:: clean

all::  $(MOFILES)

$(POTFILE): $(POTFILES)
	$(XGETTEXT) --keyword=_ --keyword=N_ $(POTFILES)
	@if cmp -s $(NLSPACKAGE).po $(POTFILE); then \
	    rm -f $(NLSPACKAGE).po; \
	else \
	    mv -f $(NLSPACKAGE).po $(POTFILE); \
	fi; \


refresh-po: Makefile
	for cat in $(POFILES); do \
		lang=`basename $$cat .po`; \
		if $(MSGMERGE) $(MSGMERGE_FLAGS) $$lang.po $(POTFILE) > $$lang.pot ; then \
			mv -f $$lang.pot $$lang.po ; \
			echo "$(MSGMERGE) of $$lang succeeded" ; \
		else \
			echo "$(MSGMERGE) of $$lang failed" ; \
			rm -f $$lang.pot ; \
		fi \
	done

clean:
	@rm -fv *mo *~ .depend
	@rm -rf tmp

install: $(MOFILES)
	@for n in $(MOFILES); do \
	    l=`basename $$n .mo`; \
	    $(INSTALL_DIR) $(DESTDIR)$(INSTALL_NLS_DIR)/$$l/LC_MESSAGES; \
	    $(INSTALL_DATA) --verbose $$n $(DESTDIR)$(INSTALL_NLS_DIR)/$$l/LC_MESSAGES/selinux-$(NLSPACKAGE).mo; \
	done

%.mo: %.po
	$(MSGFMT) -o $@ $<
report:
	@for cat in $(wildcard *.po); do \
                echo -n "$$cat: "; \
                msgfmt -v --statistics -o /dev/null $$cat; \
        done

.PHONY: missing depend

relabel:

test:

## selinux-gui 3.7

=== debian/changelog ===
selinux-gui (3.7-3) unstable; urgency=medium

  * Make it depend on python3-sepolicy (>= 3.7) not on sourceversion which
    was a mistaken copy from before the package split.

 -- Russell Coker <russell@coker.com.au>  Tue, 04 Feb 2025 12:22:12 +1100

selinux-gui (3.7-2) unstable; urgency=medium

  * New source-only upload to allow moving to testing.
    Fixes the file conflict.  Closes: #1080420

 -- Russell Coker <russell@coker.com.au>  Mon, 09 Sep 2024 20:27:03 +1000

selinux-gui (3.7-1) unstable; urgency=medium

  * Initial version.
  * Upstream split this from selinux-python.  So this is a new source package
    for policycoreutils-gui.

 -- Russell Coker <russell@coker.com.au>  Sat, 07 Sep 2024 15:42:04 +1000

=== debian/control ===
Source: selinux-gui
Vcs-Git: https://salsa.debian.org/selinux-team/selinux-gui.git
Vcs-Browser: https://salsa.debian.org/selinux-team/selinux-gui
Priority: optional
Section: utils
Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>,
           Russell Coker <russell@coker.com.au>
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libselinux1-dev (>= 3.7),
               libsepol-dev (>= 3.7),
               python3-dev (>= 3.2),
               python3-pip,
               python3-setuptools,
Homepage: https://github.com/SELinuxProject/refpolicy/releases

Package: policycoreutils-gui
Architecture: all
Depends: gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         policycoreutils (>= 3.7),
         policycoreutils-dbus (>= 3.7),
         policycoreutils-dev (>= 3.7),
         python3-dbus,
         python3-gi,
         python3-selinux (>= 3.7),
         python3-sepolicy (>= 3.7),
         ${misc:Depends},
         ${python3:Depends}
Description: SELinux core policy utilities (graphical utilities)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains the system-config-selinux and the selinux-polgengui
 utilities.

## selinux-gui 3.8

=== debian/changelog ===
selinux-gui (3.8-1) unstable; urgency=medium

  * New upstream release that only changes version number

 -- Russell Coker <russell@coker.com.au>  Fri, 07 Feb 2025 00:02:03 +1100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               libselinux1-dev (>= 3.7),
-               libsepol-dev (>= 3.7),
+               libselinux1-dev (>= 3.8),
+               libsepol-dev (>= 3.8),
                python3-dev (>= 3.2),
                python3-pip,
                python3-setuptools,
@@ -20,13 +20,13 @@
 Architecture: all
 Depends: gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
-         policycoreutils (>= 3.7),
-         policycoreutils-dbus (>= 3.7),
-         policycoreutils-dev (>= 3.7),
+         policycoreutils (>= 3.8),
+         policycoreutils-dbus (>= 3.8),
+         policycoreutils-dev (>= 3.8),
          python3-dbus,
          python3-gi,
-         python3-selinux (>= 3.7),
-         python3-sepolicy (>= 3.7),
+         python3-selinux (>= 3.8),
+         python3-sepolicy (>= 3.8),
          ${misc:Depends},
          ${python3:Depends}
 Description: SELinux core policy utilities (graphical utilities)

## selinux-gui 3.8.1

=== debian/changelog ===
selinux-gui (3.8.1-1) unstable; urgency=medium

  * New upstream release that only changes version number

 -- Russell Coker <russell@coker.com.au>  Mon, 17 Mar 2025 13:06:40 +1100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               libselinux1-dev (>= 3.8),
-               libsepol-dev (>= 3.8),
+               libselinux1-dev (>= 3.8.1),
+               libsepol-dev (>= 3.8.1),
                python3-dev (>= 3.2),
                python3-pip,
                python3-setuptools,
@@ -20,13 +20,13 @@
 Architecture: all
 Depends: gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
-         policycoreutils (>= 3.8),
-         policycoreutils-dbus (>= 3.8),
-         policycoreutils-dev (>= 3.8),
+         policycoreutils (>= 3.8.1),
+         policycoreutils-dbus (>= 3.8.1),
+         policycoreutils-dev (>= 3.8.1),
          python3-dbus,
          python3-gi,
-         python3-selinux (>= 3.8),
-         python3-sepolicy (>= 3.8),
+         python3-selinux (>= 3.8.1),
+         python3-sepolicy (>= 3.8.1),
          ${misc:Depends},
          ${python3:Depends}
 Description: SELinux core policy utilities (graphical utilities)

## selinux-gui 3.9

=== debian/changelog ===
selinux-gui (3.9-1) unstable; urgency=medium

  * 3.9 upstream release that only changes version number
  * Fix lintian issues with copyright file

 -- Russell Coker <russell@coker.com.au>  Sun, 19 Oct 2025 14:57:03 +1100

=== debian/watch ===
version=4

opts="uversionmangle=s/-(rc)/~$1/,pgpmode=auto" \
https://github.com/SELinuxProject/selinux/wiki/Releases (?:.*)/releases/download/(?:\d\.\d[\.\d]?)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
opts="uversionmangle=s/-(rc)/~$1/,component=sandbox,pgpmode=auto" \
https://github.com/SELinuxProject/selinux/wiki/Releases (?:.*)/releases/download/(?:\d\.\d[\.\d]?)/selinux-sandbox@ANY_VERSION@@ARCHIVE_EXT@
opts="uversionmangle=s/-(rc)/~$1/,component=gui,pgpmode=auto" \
https://github.com/SELinuxProject/selinux/wiki/Releases (?:.*)/releases/download/(?:\d\.\d[\.\d]?)/selinux-gui@ANY_VERSION@@ARCHIVE_EXT@
